#pragma MSP stage(vertex)
layout(location=0) in vec4 position;
void process();
void main()
{
	gl_Position = position;
	passthrough;
	process();
}
layout(location=1) in vec4 color;
void process()
{
	passthrough;
}

#pragma MSP stage(fragment)
layout(location=0) out vec4 frag_color;
void main()
{
	frag_color = color;
}

/* Expected output: vertex
layout(location=0) in vec4 position;
layout(location=1) in vec4 color;
out vec4 _vs_out_color;
void main()
{
	gl_Position = position;
	_vs_out_color = color;
}
*/

/* Expected output: fragment
layout(location=0) out vec4 frag_color;
in vec4 _vs_out_color;
void main()
{
	frag_color = _vs_out_color;
}
*/
